summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Thibaut Notteboom <tib@tibux.org>2011-12-13 19:43:22 -0600
committer Niels Horn <niels.horn@slackbuilds.org>2011-12-18 00:07:47 -0200
commit11339c3827cf47622d1fa95dc1913b6440f12b00 (patch)
tree3e8589037ebb102077e5adce387d1a7e8937bfaa
parent7a13655bc9a5e791af3433e21ade23656a3c12ed (diff)
downloadslackbuilds-11339c3827cf47622d1fa95dc1913b6440f12b00.tar.gz
slackbuilds-11339c3827cf47622d1fa95dc1913b6440f12b00.tar.xz
ruby/facter: Added (module for collecting facts about a host OS)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--ruby/facter/README4
-rw-r--r--ruby/facter/facter.SlackBuild67
-rw-r--r--ruby/facter/facter.info10
-rw-r--r--ruby/facter/slack-desc19
4 files changed, 100 insertions, 0 deletions
diff --git a/ruby/facter/README b/ruby/facter/README
new file mode 100644
index 0000000000..d1c815947d
--- /dev/null
+++ b/ruby/facter/README
@@ -0,0 +1,4 @@
+Facter is a lightweight program that gathers basic node information
+about the hardware and operating system. Facter is especially useful
+for retrieving things like operating system names, hardware
+characteristics, IP addresses, MAC addresses, and SSH keys.
diff --git a/ruby/facter/facter.SlackBuild b/ruby/facter/facter.SlackBuild
new file mode 100644
index 0000000000..55d7801e51
--- /dev/null
+++ b/ruby/facter/facter.SlackBuild
@@ -0,0 +1,67 @@
+#!/bin/sh
+
+# Slackware build script for facter
+# Written by Thibaut Notteboom (tib@tibux.org)
+
+PRGNAM=facter
+VERSION=${VERSION:-1.6.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+ruby install.rb install --destdir=$PKG
+
+rmdir $PKG/usr/{man,sbin} # huh?
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ CHANGELOG CONTRIBUTING.md INSTALL LICENSE README.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/ruby/facter/facter.info b/ruby/facter/facter.info
new file mode 100644
index 0000000000..56ddf11af6
--- /dev/null
+++ b/ruby/facter/facter.info
@@ -0,0 +1,10 @@
+PRGNAM="facter"
+VERSION="1.6.3"
+HOMEPAGE="http://www.puppetlabs.com/puppet/related-projects/facter/"
+DOWNLOAD="http://downloads.puppetlabs.com/facter/facter-1.6.3.tar.gz"
+MD5SUM="c167d2bb0aeecf99618f606956cca2ef"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Thibaut Notteboom"
+EMAIL="tib@tibux.org"
+APPROVED="rworkman"
diff --git a/ruby/facter/slack-desc b/ruby/facter/slack-desc
new file mode 100644
index 0000000000..4028235a6c
--- /dev/null
+++ b/ruby/facter/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+facter: Facter (Ruby module for collecting facts about a host OS)
+facter:
+facter: Facter is a lightweight program that gathers basic node information
+facter: about the hardware and operating system. Facter is especially useful
+facter: for retrieving things like operating system names, hardware
+facter: characteristics, IP addresses, MAC addresses, and SSH keys.
+facter:
+facter: Homepage: http://www.puppetlabs.com/puppet/related-projects/facter/
+facter:
+facter:
+facter: